<div class="plc user">
    <div class="plc-menu">
        {{menus[0]}}
    </div>
    <div class="plc-content">
        <div class="row">
            <div class="col-sm-12">
                <div class="public-horizon-form">

                    <div class="public-horizon-special">
                        <div class="horizon-input-group">
                            <label class="horizon-label label-6"><span class="text-red">*</span>PLC数据类型：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select class="andon-content-ui-select" ng-placeholder="请输入" ng-change="dataCategoryChange($select);" ng-model="config.selectedPlcCategory">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="config.selectedPlcCategory.description"></span>
                                    </ui-select-match>
                                    <!-- <ui-select-header>请选择</ui-select-header> -->
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">暂无数据</a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.plcCategories) track by item.handle">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                            <div class="horizon-btns">
                                <button type="submit" ng-disabled="config.btnDisabledQuery" class="btn btn-primary" ng-click="queryDatas();">查询</button>
                            </div>
                            <div class="horizon-btns" ng-if="config.canEdit">
                                <button type="submit" ng-disabled="config.btnDisabledAdd" class="btn btn-primary" ng-click="addRows();">新增</button>
                                <input type="number" min="1" ng-disabled="config.inputDisabledNum" class="one-line-row form-control" ng-model="config.needAddedRowsNum">
                                <span class="control-label">行</span>
                            </div>
                            <div class="horizon-btns" ng-if="config.canEdit">
                                <button ng-click="checkAndDeleteSelectedRows();" ng-disabled="config.btnDisabledDelete" class="btn btn-primary">删除</button>
                            </div>
                        </div>
                        <div>
                            <button ng-if="config.canEdit" type="submit" ng-disabled="config.btnDisabledSave" class="btn btn-primary" ng-click="saveAllAcitons();">保存</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12">
                <div class="andon-grid">
                    <div id="plc-data-item-grid" ui-grid="plcDataItemGridOptions" class="myGrid"
                         ui-grid-edit ui-grid-cellnav ui-grid-selection ui-grid-pagination
                         ui-grid-validate ui-grid-auto-resize
                         class="plc-data-item-grid ad-basic-grid myGrid" ></div>
                </div>

                <!--   ui-grid-row-edit  ui-grid-pagination -->
            </div>
        </div>

    </div>
</div>

